Subject: Re: bug#48432: parted commands not executing from startup script

From: josep lladonosa capell <[email-masked]>
Date: Sat, 15 May 2021 10:45:16 +0200

Hello, Deepak,

I do not know if it is the case but perhaps it is better to explicitly
specify the path to the commands, I mean calling them like this:

/sbin/parted
/sbin/resize2fs
/sbin/mkfs.ext3

Regards,
Josep

Missatge de Deepak Bevinamara <[email-masked]> del dia ds., 15
de maig 2021 a les 7:17:

> Hi,
>
> I have created a startup script which is executed only one after flashing
> a image on a board.
> The commands in the script are as follows and don't take any effect:
>
> #!/usr/bin/sh
> parted -s /dev/mmcblk0 unit s resizepart 4 Yes 124321791s
> parted -s /dev/mmcblk0 unit s resizepart 6 Yes 65597439s
> resize2fs -f /dev/mmcblk0p6
> parted -s /dev/mmcblk0 unit s mkpart logical ext2 65599488s 124321791s
> mkfs.ext4 -F -q -b 4096 -L BACKUP -O ^huge_file,^64bit,^metadata_csum
> /dev/mmcblk0p7
>
> However the above commands work perfectly, when executed from the command
> line.
> Is it because the parted commands cannot be executed from non-interactive
> shells?
> Clarification is greatly appreciated.
>
> Thanks,
> Deepak.
>